<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer;
  $dia="dia".substr($fecha,0,2);
  $mes=substr($fecha,3,7);
  $existecod=$objPer->ExisteSalida($mat_trans,$mes);
  $numdia=$ruta;
  $m=substr($fecha,3,2);
  $anio=substr($fecha,6,4);
  $fecha=extraerfechamysql($fecha);
if($existecod==0){			  
	$cod_control=$objPer->registrarSalidaBote($fecha,$mes,$mat_trans,$ruta,$dia,$numdia);
	$objPer->registrarObserBote($cod_control,$obser,$fecha,$_SESSION['usuarioNombre']);	
	//Redirigir("../cvp_reg_obser.php");
	Redirigir("../cvp_control_bote.php?m=$m&anio=$anio&mat_trans=0");
}else{
    $objPer->updateBitacoraDia($existecod,$dia,$numdia);
	$objPer->registrarObserBote($existecod,$obser,$fecha,$_SESSION['usuarioNombre']);
	//Redirigir("../cvp_reg_obser.php");
	Redirigir("../cvp_control_bote.php?m=$m&anio=$anio&mat_trans=0");
}  
?>